Subject: RE: BIND issue: 4_SPECIAL OVERWRITE_STATUS

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 7 Feb 2003 21:07:36 -0500

I also agree.  I'll make this change and mark the issue as
closed, unless someone objects.

Cheers,
Geoff

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]
Sent: Friday, February 07, 2003 8:59 AM
To: [email-masked]
Subject: BIND issue: 4_SPECIAL OVERWRITE_STATUS

Hi,

back in October, Stefan Eissing wrote:

> Maybe it would be more appropriate to reuse the response codes as
> defined for MOVE in RFC 2518:
>
> 201: newly created
> 204: replaced existing resource
>etc.

I agree. MOVE should be identical to BIND/DELETE, and therefore consistency
with MOVE response codes seems to make sense.

Proposal:

Add the sentence:

"In case of success, the server SHOULD return 201 (Created) when a new
binding was created and 204 (No Content) when an existing binding was
replaced".

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760